./goblint --conf conf/svcomp.json --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/no-data-race.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i


--------------------------------------------------------------------------------


--sets is deprecated, use --set instead.
--sets is deprecated, use --set instead.
unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
Collected factors:
functions: 38
functionCalls: 27
loops: 6
loopBreaks: 0
controlFlowStatements: 117
expressions: 719
instructions: 104
integralVars: (6,41)
arrayVars: (3,0)
pointerVars: (4,13)

Complexity estimates:
File: 2
Total: 3718
Congruence: 511
Enabled congruence domain.
Octagon: 1000
Enabled octagon domain for:
printf, global, i, key, count, a, tmp, j, count, k, size, a, b, c, i, __x, __x, __x
Widening: 2205
Enabled widening thresholds
SV-COMP specification: CHECK( init(main()), LTL(G ! data-race) )
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:918:14-918:22)
[Warning][Deadcode] Function '__bswap_32' is uncalled: 1 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:62:1-66:1)
[Warning][Deadcode] Function '__bswap_64' is uncalled: 1 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:67:1-71:1)
[Warning][Deadcode] Function '__uint16_identity' is uncalled: 1 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:72:1-76:1)
[Warning][Deadcode] Function '__uint32_identity' is uncalled: 1 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:77:1-81:1)
[Warning][Deadcode] Function '__uint64_identity' is uncalled: 1 LLoC (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:82:1-86:1)
[Info][Deadcode] Logical lines of code (LLoC) summary:
  live: 10
  dead: 5 (5 in uncalled functions)
  total lines: 15
[Warning][Race] Memory location f (race with conf. 110): (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:920:6-920:19)
  write with [region:{f}, mhp:{tid=[main]; created={[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]}}, thread:[main]] (conf. 110)  (exp: & f) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:928:3-928:10)
  read with [region:{f}, mhp:{tid=[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]}, thread:[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]] (conf. 110)  (exp: & f) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:922:3-922:6)
[Warning][Race] Memory location global (race with conf. 110): (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:917:5-917:11)
  write with [region:{global}, mhp:{tid=[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]}, thread:[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]] (conf. 110)  (exp: & global) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:918:14-918:22)
  read with [region:{global}, mhp:{tid=[main]; created={[main, t_fun@/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:927:3-927:55#top]}}, thread:[main]] (conf. 110)  (exp: & global) (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/goblint-regression/04-mutex_21-sound_base.i:929:3-929:33)
SV-COMP result: unknown
[Info][Race] Memory locations race summary:
  safe: 0
  vulnerable: 0
  unsafe: 2
  total memory locations: 2
